require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", true);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGarlic", false);

SManager:AddMeal(MealType.STEAK, "steakTeriyakiBeef", false);
SManager:AddMeal(MealType.FISH, "fishGingerSalmon", true);
SManager:AddMeal(MealType.PASTA, "fettucine", false);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMSanFrancisco", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMFiji", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMParis", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");